<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rl_container"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

<!--    <ImageView-->
<!--        android:id="@+id/img_lock"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_toRightOf="@+id/tv_number"-->
<!--        android:src="@drawable/lock" />-->

    <RelativeLayout
        android:id="@+id/rl_select"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_toRightOf="@+id/tv_number">

        <RelativeLayout
            android:id="@+id/ll_tvname"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_toLeftOf="@+id/tv_money">

            <ImageView
                android:id="@+id/iv_delete_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="@dimen/dp_10"
                android:src="@mipmap/ic_meal_delete_count"
                android:visibility="invisible" />

            <ImageView
                android:id="@+id/iv_add_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="@dimen/dp_20"
                android:layout_toLeftOf="@+id/iv_delete_count"
                android:src="@mipmap/ic_meal_add_count"
                android:visibility="invisible" />

            <com.gingersoft.gsa.cloud.ui.view.MarqueeTextView
                android:id="@+id/tv_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:maxLines="1"
                android:singleLine="true"
                android:text="TextView"
                android:textColor="@color/theme_black"
                android:textSize="@dimen/sp_20" />
        </RelativeLayout>

        <TextView
            android:id="@+id/tv_money"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginRight="@dimen/dp_5"
            android:text="$20"
            android:textColor="@color/theme_black"
            android:textSize="@dimen/sp_20" />

        <TextView
            android:id="@+id/tv_mix"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_alignWithParentIfMissing="true"
            android:layout_marginBottom="@dimen/dp_1"
            android:layout_marginRight="@dimen/dp_1"
            android:layout_marginTop="@dimen/dp_1"
            android:layout_toLeftOf="@+id/tv_discount_money"
            android:background="@color/red"
            android:text="1"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:textColor="@color/green"
            android:textSize="@dimen/sp_20"
            android:visibility="invisible" />

        <TextView
            android:id="@+id/tv_discount_money"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/tv_money"
            android:layout_marginRight="@dimen/dp_5"
            android:layout_toLeftOf="@+id/tv_D"
            android:text="D"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:textColor="@color/red"
            android:visibility="invisible" />

        <TextView
            android:id="@+id/tv_D"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_alignWithParentIfMissing="true"
            android:layout_marginRight="@dimen/dp_1"
            android:layout_toLeftOf="@+id/tv_D_1"
            android:background="@color/white"
            android:text="D"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:textColor="@color/red"
            android:textSize="@dimen/sp_10"
            android:visibility="invisible" />

        <TextView
            android:id="@+id/tv_S"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/tv_money"
            android:layout_alignWithParentIfMissing="true"
            android:layout_below="@+id/tv_D"
            android:layout_marginRight="1dp"
            android:layout_toLeftOf="@+id/tv_D_1"
            android:background="@color/white"
            android:text="S"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:textColor="@color/red"
            android:textSize="@dimen/sp_10"
            android:visibility="invisible" />

        <TextView
            android:id="@+id/tv_D_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignWithParentIfMissing="true"
            android:layout_marginRight="@dimen/dp_90"
            android:layout_toLeftOf="@+id/tv_money"
            android:background="@color/blue"
            android:text="D"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_10"
            android:visibility="invisible" />

        <TextView
            android:id="@+id/tv_S_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/tv_money"
            android:layout_alignParentRight="true"
            android:layout_below="@+id/tv_D_1"
            android:layout_marginRight="@dimen/dp_90"
            android:background="@color/blue"
            android:text="S"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_10"
            android:visibility="invisible" />
    </RelativeLayout>

<!--    <RelativeLayout-->
<!--        android:id="@+id/rl_food_line"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_marginLeft="@dimen/dp_1">-->

<!--        <TextView-->
<!--            android:id="@+id/line1"-->
<!--            android:layout_width="@dimen/dp_2"-->
<!--            android:layout_height="match_parent"-->
<!--            android:background="@color/theme_black" />-->

<!--        <View-->
<!--            android:id="@+id/line2"-->
<!--            android:layout_width="@dimen/dp_8"-->
<!--            android:layout_height="@dimen/dp_2"-->
<!--            android:layout_alignParentBottom="true"-->
<!--            android:layout_toRightOf="@+id/line1"-->
<!--            android:background="@color/theme_black" />-->
<!--    </RelativeLayout>-->

    <TextView
        android:id="@+id/tv_food_table_mode"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginLeft="@dimen/dp_28"
        android:background="@color/red_400"
        android:gravity="center"
        android:padding="@dimen/dp_3"
        android:text="外"
        android:textColor="@color/theme_white_color"
        android:textSize="@dimen/sp_14"
        android:textStyle="bold"
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_modify_before_number"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_toRightOf="@+id/tv_number"
        android:text="30"
        android:textColor="@color/orange_200"
        android:textSize="@dimen/sp_14"
        android:visibility="gone" />

<!--    <TextView-->
<!--        android:id="@+id/tv_number"-->
<!--        android:layout_width="@dimen/dp_35"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_alignParentTop="true"-->
<!--        android:layout_toRightOf="@+id/rl_food_line"-->
<!--        android:gravity="center"-->
<!--        android:text="20"-->
<!--        android:textColor="@color/theme_black"-->
<!--        android:textSize="@dimen/sp_20" />-->

    <TextView
        android:id="@+id/tv_number"
        android:layout_width="@dimen/dp_35"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:gravity="center"
        android:text="20"
        android:textColor="@color/theme_black"
        android:textSize="@dimen/sp_20" />

</RelativeLayout>